//////////////////////////////////////////////////////////////////////
//
// Project  : BRender Demo Framework
//            Copyright (c) 1996 Argonaut Technologies Ltd.
//            All rights reserved.
//
// Author   : Steve Williams, October 1996
//
// File     : BR_DEMO.H
//
// Requires : BRender V1.3
//            Microsoft DirectX 3, Win95/NT or DOS
//
// Comments : Common demo header
//
//////////////////////////////////////////////////////////////////////

#ifndef __BRDEMO_H__
#define __BRDEMO_H__

#include <brender.h>


#ifdef WIN32
#include "win_bits.h"
#else
#include "dos_bits.h"
#endif

#include "keyboard.h"

#define MAX_DEVICES 10
#define MAX_SCREEN_MODES_PER_DEVICE 50
#endif
