//////////////////////////////////////////////////////////////////////
//
// Project  : BRender Microsoft Windows Direct Draw Minimal Example
//            Copyright (c) 1996 Argonaut Technologies Ltd.
//            All rights reserved.
//
// Author   : Steve Williams, October 1996
//
// File     : BR_LIBS.C
//
// Requires : BRender V1.2.3
//            Microsoft DirectX 3
//
// Comments : This file uses preprocessor commands to include
//            the relevent BRender libraries.
//
//////////////////////////////////////////////////////////////////////

#define _BRLIBDIR "c:\\brender\\lib\\"

#pragma message("BRender libraries :")

#if BASED_FLOAT
#define _BASED "f"
#pragma message("- Floating point")
#else
#define _BASED "x"
#pragma message("- Fixed point")
#endif

#pragma message("- Release")
#define _REL "r"

#pragma comment(lib, _BRLIBDIR "brdbm" _BASED _REL)
#pragma comment(lib, _BRLIBDIR "brmtm" _BASED _REL)
#pragma comment(lib, _BRLIBDIR "brfmm" _BASED _REL)

#pragma comment(lib, _BRLIBDIR "brfwm" _REL)
#pragma comment(lib, _BRLIBDIR "brpmm" _REL)
#pragma comment(lib, _BRLIBDIR "brstm" _REL)
#pragma comment(lib, _BRLIBDIR "hstwnm" _REL)
